X2Go Bug report logs - #143
nx-libs installs into wrong location

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Jan Engelhardt <jengelh@inai.de>

Date: Thu, 7 Mar 2013 17:33:01 UTC

Severity: normal

Tags: pending

Found in version 3.5.0.17

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#143; Package nx-libs. (Thu, 07 Mar 2013 17:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 07 Mar 2013 17:33:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: submit@bugs.x2go.org
Subject: nx-libs installs into wrong location
Date: Thu, 7 Mar 2013 18:25:24 +0100 (CET)
Package: nx-libs
Version: 3.5.0.17

Installation is done using

make install \
        INSTALL_DIR="install -dm0755" \
        INSTALL_FILE="install -pm0644" \
        INSTALL_PROGRAM="install -pm0755" \
        DESTDIR="/var/tmp/whatever" PREFIX="/usr" \
        NXLIBDIR="/usr/lib64/nx" X2GOLIBDIR="/usr/lib/x2go"

And at the end of the day, rpm notices the following broken link:

[  126s] ERROR: link target doesn't exist (neither in build root nor in
installed sys...
[  126s]   /usr/lib/x2go/bin/x2goagent -> /usr/lib/nx/bin/nxagent

This is because the top-level Makefile does a rather dumb command:

        cd $(DESTDIR)$(X2GOLIBDIR)/bin/ && ln -sf ../../nx/bin/nxagent 
x2goagent

so it creates a pointer to a non-existing target.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#143; Package nx-libs. (Thu, 07 Mar 2013 18:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 07 Mar 2013 18:18:01 GMT) Full text and rfc822 format available.

Message #10 received at 143@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>, 143@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#143: nx-libs installs into wrong location
Date: Thu, 07 Mar 2013 19:12:10 +0100
[Message part 1 (text/plain, inline)]
Hi Jan,

On Do 07 Mär 2013 18:25:24 CET Jan Engelhardt wrote:

> Package: nx-libs
> Version: 3.5.0.17
>
> Installation is done using
>
> make install \
>         INSTALL_DIR="install -dm0755" \
>         INSTALL_FILE="install -pm0644" \
>         INSTALL_PROGRAM="install -pm0755" \
>         DESTDIR="/var/tmp/whatever" PREFIX="/usr" \
>         NXLIBDIR="/usr/lib64/nx" X2GOLIBDIR="/usr/lib/x2go"
>
> And at the end of the day, rpm notices the following broken link:
>
> [  126s] ERROR: link target doesn't exist (neither in build root nor in
> installed sys...
> [  126s]   /usr/lib/x2go/bin/x2goagent -> /usr/lib/nx/bin/nxagent
>
> This is because the top-level Makefile does a rather dumb command:
>
>         cd $(DESTDIR)$(X2GOLIBDIR)/bin/ && ln -sf ../../nx/bin/nxagent
> x2goagent
>
> so it creates a pointer to a non-existing target.

Thanks for submitting this bug. Any chance you can provide a patch?

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#143; Package nx-libs. (Thu, 07 Mar 2013 19:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 07 Mar 2013 19:18:01 GMT) Full text and rfc822 format available.

Message #15 received at 143@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 143@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#143: nx-libs installs into wrong location
Date: Thu, 7 Mar 2013 20:14:44 +0100 (CET)
On Thursday 2013-03-07 19:12, Mike Gabriel wrote:
>> make install \
>>       INSTALL_DIR="install -dm0755" \
>>       INSTALL_FILE="install -pm0644" \
>>       INSTALL_PROGRAM="install -pm0755" \
>>       DESTDIR="/var/tmp/whatever" PREFIX="/usr" \
>>       NXLIBDIR="/usr/lib64/nx" X2GOLIBDIR="/usr/lib/x2go"
>>
>> And at the end of the day, rpm notices the following broken link:
>>
>> [  126s] ERROR: link target doesn't exist (neither in build root nor in
>> installed sys...
>> [  126s]   /usr/lib/x2go/bin/x2goagent -> /usr/lib/nx/bin/nxagent
>>
>> This is because the top-level Makefile does a rather dumb command:
>>
>>       cd $(DESTDIR)$(X2GOLIBDIR)/bin/ && ln -sf ../../nx/bin/nxagent
>> x2goagent
>>
>> so it creates a pointer to a non-existing target.
>
> Thanks for submitting this bug. Any chance you can provide a patch?

This is getting above my head. I already had to endure the silent
introduction of the NXLIBDIR variable..
(it's really not fun if suddenly the entire filelist in .spec or whatever else
is worthless because USRLIBDIR and SHLIBDIR are no longer used)

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#143; Package nx-libs. (Fri, 22 Mar 2013 22:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Mar 2013 22:48:02 GMT) Full text and rfc822 format available.

Message #20 received at 143@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>
Cc: 143@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#143: nx-libs installs into wrong location
Date: Fri, 22 Mar 2013 23:38:36 +0100
[Message part 1 (text/plain, inline)]
tag #143 pending
thanks

Hi Jan,

On Do 07 Mär 2013 20:14:44 CET Jan Engelhardt wrote:

>
> On Thursday 2013-03-07 19:12, Mike Gabriel wrote:
>>> make install \
>>>       INSTALL_DIR="install -dm0755" \
>>>       INSTALL_FILE="install -pm0644" \
>>>       INSTALL_PROGRAM="install -pm0755" \
>>>       DESTDIR="/var/tmp/whatever" PREFIX="/usr" \
>>>       NXLIBDIR="/usr/lib64/nx" X2GOLIBDIR="/usr/lib/x2go"
>>>
>>> And at the end of the day, rpm notices the following broken link:
>>>
>>> [  126s] ERROR: link target doesn't exist (neither in build root nor in
>>> installed sys...
>>> [  126s]   /usr/lib/x2go/bin/x2goagent -> /usr/lib/nx/bin/nxagent
>>>
>>> This is because the top-level Makefile does a rather dumb command:
>>>
>>>       cd $(DESTDIR)$(X2GOLIBDIR)/bin/ && ln -sf ../../nx/bin/nxagent
>>> x2goagent
>>>
>>> so it creates a pointer to a non-existing target.
>>
>> Thanks for submitting this bug. Any chance you can provide a patch?
>
> This is getting above my head. I already had to endure the silent
> introduction of the NXLIBDIR variable..
> (it's really not fun if suddenly the entire filelist in .spec or  
> whatever else
> is worthless because USRLIBDIR and SHLIBDIR are no longer used)
>

The issue should be solved by this commit:
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=f81df1a69982fb3c4cfe13248dec1b8bc3fb66af

Thanks for reporting!
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Mar 2013 22:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#143; Package nx-libs. (Sat, 23 Mar 2013 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 23 Mar 2013 00:03:02 GMT) Full text and rfc822 format available.

Message #27 received at 143@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 104@bugs.x2go.org, 107@bugs.x2go.org, 143@bugs.x2go.org, 145@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: The reported issue has been fixed in NX (redistributed) 3.5.0.18
Date: Sat, 23 Mar 2013 00:48:16 +0100
[Message part 1 (text/plain, inline)]
close #104
close #107
close #143
close #145
thanks

The reported issue has been fixed for release 3.5.0.18 of NX (redistributed).

light+love,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 23 Mar 2013 00:03:03 GMT) Full text and rfc822 format available.

Notification sent to Jan Engelhardt <jengelh@inai.de>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 00:03:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 20 Apr 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri May 24 13:04:09 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.